# Name

HPL_ptimer Timer facility.

# Synopsis

`#include "hpl.h"`
`void` `HPL_ptimer(` `const int` `I` `);`

# Description

HPL_ptimer provides a "stopwatch" functionality cpu/wall timer in seconds. Up to 64 separate timers can be functioning at once. The first call starts the timer, and the second stops it. This routine can be disenabled by calling HPL_ptimer_disable(), so that calls to the timer are ignored. This feature can be used to make sure certain sections of code do not affect timings, even if they call routines which have HPL_ptimer calls in them. HPL_ptimer_enable() will enable the timer functionality. One can retrieve the current value of a timer by calling t0 = HPL_ptimer_inquire( HPL_WALL_TIME | HPL_CPU_TIME, I ) where I is the timer index in [0..64). To inititialize the timer functionality, one must have called HPL_ptimer_boot() prior to any of the functions mentioned above.

# Arguments

    I       (global input)                const int
            On entry, I specifies the timer to stop/start.

# See Also

HPL_ptimer_cputime, HPL_ptimer_walltime.